org.cpsolver.instructor.constraints

## Class GroupConstraint.SimpleCheck

- java.lang.Object
- - org.cpsolver.instructor.constraints.GroupConstraint.PairCheck
  - - org.cpsolver.instructor.constraints.GroupConstraint.SimpleCheck

- All Implemented Interfaces:
    GroupConstraint.Check
  Direct Known Subclasses:
    GroupConstraint.SimpleTimeCheck
  Enclosing class:
    GroupConstraint

      public abstract static class GroupConstraint.SimpleCheck
      extends GroupConstraint.PairCheck

  Simplified group constraint check interface for constraints that can be computed on individual class pairs.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleCheck()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isSatisfied(GroupConstraint.Distribution distribution, Assignment<TeachingRequest.Variable,TeachingAssignment> assignment, Instructor instructor, Section s1, Section s2)`
    `abstract boolean` | `isSatisfied(GroupConstraint.Distribution d, Section s1, Section s2)`
    `boolean` | `isViolated(GroupConstraint.Distribution distribution, Assignment<TeachingRequest.Variable,TeachingAssignment> assignment, Instructor instructor, Section s1, Section s2)`
    `boolean` | `isViolated(GroupConstraint.Distribution d, Section s1, Section s2)`

    - ### Methods inherited from class org.cpsolver.instructor.constraints.GroupConstraint.PairCheck

      `computeConflicts, getValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleCheck

          public SimpleCheck()

  - ### Method Detail

    - #### isSatisfied

          public abstract boolean isSatisfied(GroupConstraint.Distribution d,
                                              Section s1,
                                              Section s2)

    - #### isViolated

          public boolean isViolated(GroupConstraint.Distribution d,
                                    Section s1,
                                    Section s2)

    - #### isSatisfied

          public boolean isSatisfied(GroupConstraint.Distribution distribution,
                                     Assignment<TeachingRequest.Variable,TeachingAssignment> assignment,
                                     Instructor instructor,
                                     Section s1,
                                     Section s2)

      Specified by:
        `isSatisfied` in class `GroupConstraint.PairCheck`

    - #### isViolated

          public boolean isViolated(GroupConstraint.Distribution distribution,
                                    Assignment<TeachingRequest.Variable,TeachingAssignment> assignment,
                                    Instructor instructor,
                                    Section s1,
                                    Section s2)

      Specified by:
        `isViolated` in class `GroupConstraint.PairCheck`